#
# spec file for package xf86-video-sis
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xf86-video-sis
Version:        0.12.0
Release:        bp155.2.11
Summary:        SiS and XGI video driver for the Xorg X server
License:        BSD-3-Clause AND MIT
Group:          System/X11/Servers/XF86_4
Url:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
BuildRequires:  Mesa-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(libdrm) >= 2.0
BuildRequires:  pkgconfig(pciaccess) >= 0.10
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86dgaproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
Supplements:    modalias(xorg-x11-server:pci:v00001039d*sv*sd*bc03sc*i*)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
sis is an Xorg driver for SiS (Silicon Integrated Systems) and XGI video
cards.

The driver is accelerated and provides support for colordepths of 8, 16
and 24 bpp. XVideo, Render and other extensions are supported as well.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/sis_drv.so
%{_datadir}/man/man4/sis.4%{?ext_man}

%changelog
* Fri Jan  3 2020 Chocy Orange <callumjfarmer13@gmail.com>
- Update to version 1.12.0
- supersedes U_06-Remove-reference-to-virtualFrom.patch,
  U_07-xf86-video-sis-remove-the-GlxSetVisualConfigs-stub-and-friends.patch
* Wed May 23 2018 mstaudt@suse.com
- Fix build with Xorg server 1.20 by updating to current Git.
  U_06-Remove-reference-to-virtualFrom.patch
  U_07-xf86-video-sis-remove-the-GlxSetVisualConfigs-stub-and-friends.patch
* Mon May 29 2017 sndirsch@suse.com
- includes everything needed for missing sle issue entries:
  fate #315643-315645, 319159-319161, 319618 (bsc#1041339)
* Thu Jan 19 2017 sndirsch@suse.com
- Update to version 0.10.9
  * Adapt Block/WakeupHandler signature for ABI 23
  * Fix arguments for miSetPointerPosition.
- supersedes U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
* Wed Nov 30 2016 sndirsch@suse.com
- U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
  * Adapt Block/WakeupHandler signature for ABI 23
* Sun Sep 27 2015 mpluskal@suse.com
- Add gpg signature
* Tue Sep  1 2015 sndirsch@suse.com
- Update to version 0.10.8:
  * Remove mibstore.h
  * Stop including xf86Priv.h
  * Fix HDisplay/VDisplay typos
  * Remove upload / download EXA hooks
  * sis: fix build against latest xserver
  * sis: more build fixes against master X server.
  * sis: force build, who uses this crazy code anyways
  * Replace xf86UnMapVidMem with pci_device_unmap_range
  * Fix format-security warnings
- supersedes patches:
  * U_Remove-mibstore.h.patch
  * U_Replace-xf86UnMapVidMem-with-pci_device_unmap_range.patch
  * U_Stop-including-xf86Priv.h.patch
  * U_sis-fix-build-against-latest-xserver.patch
  * U_sis-more-build-fixes-against-master-X-server.patch
  * u_Fixed-build-with-INPUT_API-19.patch
* Fri Feb  6 2015 sndirsch@suse.com
- U_sis-fix-build-against-latest-xserver.patch/
  U_sis-more-build-fixes-against-master-X-server.patch
  * fixes build against xorg-server 1.17
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Sun Apr  7 2013 sndirsch@suse.com
- u_Fixed-build-with-INPUT_API-19.patch
  * Added dummy parameters to miPointerSetPosition(...) to fix
    build with INPUT_API >= 19.
* Thu Mar 21 2013 sndirsch@suse.com
- Add mibstore.patch, fixes build with xorg-server 1.14
- Replace xf86UnMapVidMem with pci_device_unmap_range
- Stop including xf86Priv.h
- introduce hardware supplements conditional on xorg-x11-server
  package (bnc#810333)
* Sun Sep  2 2012 zaitor@opensuse.org
- Update to version 0.10.7:
  + Add xaa configure support.
  + Fix build against older servers.
  + Port to new compat API.
* Fri Jun  1 2012 sndirsch@suse.com
- remove hw supplements (bnc#764395)
* Wed May 23 2012 crrodriguez@opensuse.org
- Add supplements so the driver is picked automatically
  by the package manager if the user has suitable hardware.
* Mon Apr 30 2012 cfarrell@suse.com
- license update: BSD-3-Clause and MIT
  See COPYING
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 0.10.4:
  + Fix build with XInput version 12
  + Untangle XF86DRI from the driver-specific DRI define
  + Use miPointerSetPosition, not miPointerAbsoluteCursor
  + Fall back to shadowfb if XAA is unavailable
  + Build fix for older servers (error: conflicting types for
    'pciTag')
  + Convert use of LookupWindow to dixLookupWindow
  + Build fix for ABI Version 12
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-sis from xorg-x11-driver-video.
  Initial version: 0.10.3.
